import { Module, forwardRef } from '@nestjs/common';
import { DiscussionMasterTableService } from './discussion-master-table.service';
import { DiscussionMasterTableResolver } from './discussion-master-table.resolver';
import { TypeOrmModule } from '@nestjs/typeorm';
import { DiscussionMasterTable } from './entities/discussion-master-table.entity';
import { CourseTableModule } from 'src/course-table/course-table.module';
import { UserCollectionModule } from 'src/user-collection/user-collection.module';

@Module({
  imports: [TypeOrmModule.forFeature([DiscussionMasterTable]), forwardRef(() => CourseTableModule), forwardRef(() => UserCollectionModule)],
  providers: [DiscussionMasterTableResolver, DiscussionMasterTableService],
  exports: [DiscussionMasterTableService]
})
export class DiscussionMasterTableModule {}
