import { CourseTable } from 'src/course-table/entities/course-table.entity';
import { DiscussionTable } from 'src/discussion-table/entities/discussion-table.entity';
import { UserTable } from 'src/user-collection/entities/user-collection.entity';
import { Column, CreateDateColumn, Entity, JoinColumn, ManyToOne, OneToMany, PrimaryGeneratedColumn, UpdateDateColumn } from 'typeorm';

@Entity()
export class DiscussionMasterTable {
  @PrimaryGeneratedColumn()
  discussionMasterId: number;

  @ManyToOne(type => CourseTable, pt => pt.DiscussionMasterTable)
  @JoinColumn({ name: 'courseId' })
  CourseTable: CourseTable;

  @Column({ type: "text", nullable: true })
  discussionTopic: string;

  @ManyToOne(type => UserTable, dt => dt.DiscussionMasterTable, {nullable: true})
  @JoinColumn({ name: "postedBy" })
  PostedBy: UserTable;


  @Column({ default: 0 })
  markAsResolved: number;

  @Column({ default: 0 })
  hasNewMessage: number;

  @OneToMany(type => DiscussionTable, et => et.DiscussionMasterTable, { onDelete: "CASCADE"})
  DiscussionTable: DiscussionTable[];

  @CreateDateColumn({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" })
  public createdAt: Date;

  @UpdateDateColumn({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" })
  public updatedAt: Date;
}
