import { InputType, Int, Field, ObjectType } from '@nestjs/graphql';
import { CourseTableType } from 'src/course-table/types/course-table.type';
import { UserCollectionType } from 'src/user-collection/type/user-collection.type';

@ObjectType("DiscussionMasterTableType")
export class DiscussionMasterTableType {
  @Field(() => Number)
  discussionMasterId: number;

  @Field(() => String)
  discussionTopic: string;

  @Field(() => UserCollectionType, {nullable: true})
  PostedBy: UserCollectionType;

  @Field(() => CourseTableType, {nullable: true})
  CourseTable: CourseTableType;

  @Field(() => Date)
  createdAt: Date;

  @Field(() => Number)
  markAsResolved: number;

  @Field(() => Number)
  hasNewMessage: number;
  
  
}
