import { Module, forwardRef } from '@nestjs/common';
import { DiscussionTableService } from './discussion-table.service';
import { DiscussionTableResolver } from './discussion-table.resolver';
import { TypeOrmModule } from '@nestjs/typeorm';
import { DiscussionTable } from './entities/discussion-table.entity';
import { CourseTableModule } from 'src/course-table/course-table.module';
import { UserCollectionModule } from 'src/user-collection/user-collection.module';
import { DiscussionMasterTableModule } from 'src/discussion-master-table/discussion-master-table.module';

@Module({
  imports: [TypeOrmModule.forFeature([DiscussionTable]), forwardRef(() => DiscussionMasterTableModule), forwardRef(() => UserCollectionModule)],
  providers: [DiscussionTableResolver, DiscussionTableService],
  exports: [DiscussionTableService]
})
export class DiscussionTableModule {}
