import { CourseTable } from 'src/course-table/entities/course-table.entity';
import { DiscussionMasterTable } from 'src/discussion-master-table/entities/discussion-master-table.entity';
import { UserTable } from 'src/user-collection/entities/user-collection.entity';
import { Column, CreateDateColumn, Entity, JoinColumn, ManyToOne, OneToMany, PrimaryGeneratedColumn, UpdateDateColumn } from 'typeorm';

@Entity()
export class DiscussionTable {
  @PrimaryGeneratedColumn()
  discussionId: number;


  @ManyToOne(type => DiscussionMasterTable, pt => pt.DiscussionTable, {onDelete: "CASCADE"})
  @JoinColumn({ name: 'discussionMasterId' })
  DiscussionMasterTable: DiscussionMasterTable;

  @Column({ type: "text", nullable: true })
  message: string;

  
  @ManyToOne(type => UserTable, pt => pt.DiscussionTable)
  @JoinColumn({ name: 'userId' })
  UserTable: UserTable;


  


  @CreateDateColumn({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" })
  public createdAt: Date;

  @UpdateDateColumn({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" })
  public updatedAt: Date;
}
